## org.eclipse.amp.axf.ide
Class ModelViewManager

    java.lang.Object
      org.eclipse.amp.axf.ide.ModelViewManager

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdapterFactory

    public class ModelViewManager

extends java.lang.Object
implements org.eclipse.core.runtime.IAdapterFactory

The Class ModelViewManager.

Field Summary
`static java.lang.String` `EXECUTION_PERSPECTIVE_ID`

Constructor Summary
`ModelViewManager()` Instantiates a new model view manager.

Method Summary
`void` `addHandler(java.lang.String id, ModelRunHandler handler)`
`int` `assignSlot(IObservationProvider model)` Assign slot.
`void` `closeView(org.eclipse.ui.IViewPart part)` Close view.
`org.eclipse.ui.IViewPart` `createViewPart(java.lang.String id, ModelInput editorInput, java.lang.String name)` Creates the view part.
`IObservationProvider` `getActiveModel()` Gets the active model.
`LifeCycleListeners` `getActiveModelListeners()`
`java.lang.Object` `getAdapter(java.lang.Object adaptableObject, java.lang.Class adapterType)`
`java.lang.Class[]` `getAdapterList()`
`HandlerManager` `getHandlers()`
`ModelManagerListeners` `getManagerListeners()`
`ModelManagerViewPart` `getManagerViewPart()`
`java.util.List<IModel>` `getModels()` Gets the models.
`SelectionSynchronizer` `getSelectionSynchronizer()` Gets the selection synchronizer.
`int` `getSlot(IObservationProvider model)` Gets the slot.
`java.util.List<org.eclipse.ui.IViewPart>` `getViews(IModel model)`
`void` `register(IModel model, IEngine executor)` Register.
`void` `register(IModel model, IEngine executor, java.lang.Object modelObject)` Register.
`void` `register(org.eclipse.ui.IViewPart part)` Register.
`int` `releaseSlot(IObservationProvider model)` Release slot.
`void` `remove(IModel model)` Removes the.
`void` `removed(org.eclipse.ui.IViewPart part)` Removes the.
`void` `setActiveModel(IModel newModel)` Sets the active model.
`void` `setManagerViewPart(ModelManagerViewPart managerViewPart)`
`void` `setSelectionSynchronizer(SelectionSynchronizer editSelection)` Sets the selection synchronizer.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXECUTION_PERSPECTIVE_ID

    public static final java.lang.String EXECUTION_PERSPECTIVE_ID

See Also:
  Constant Field Values

Constructor Detail

### ModelViewManager

    public ModelViewManager()

  Instantiates a new model view manager.

Method Detail

### getActiveModel

    public IObservationProvider getActiveModel()

  Gets the active model.

  Returns:
    the active model

### setActiveModel

    public void setActiveModel(IModel newModel)

  Sets the active model.

  Parameters:
    `newModel` - the new active model

### getModels

    public java.util.List<IModel> getModels()

  Gets the models.

  Returns:
    the models

### getSlot

    public int getSlot(IObservationProvider model)

  Gets the slot.

  Parameters:
    `model` - the model
  Returns:
    the slot

### assignSlot

    public int assignSlot(IObservationProvider model)

  Assign slot.

  Parameters:
    `model` - the model
  Returns:
    the int

### releaseSlot

    public int releaseSlot(IObservationProvider model)

  Release slot.

  Parameters:
    `model` - the model
  Returns:
    the int

### register

    public void register(IModel model,
                         IEngine executor,
                         java.lang.Object modelObject)

  Register.

  Parameters:
    `model` - the model
    `executor` - the executor
    `modelObject` - the model object

### register

    public void register(IModel model,
                         IEngine executor)

  Register.

  Parameters:
    `model` - the model
    `executor` - the executor

### register

    public void register(org.eclipse.ui.IViewPart part)

  Register.

  Parameters:
    `part` - the part

### removed

    public void removed(org.eclipse.ui.IViewPart part)

  Removes the.

  Parameters:
    `part` - the part

### getViews

    public java.util.List<org.eclipse.ui.IViewPart> getViews(IModel model)

### createViewPart

    public org.eclipse.ui.IViewPart createViewPart(java.lang.String id,
                                                   ModelInput editorInput,
                                                   java.lang.String name)

  Creates the view part.

  Parameters:
    `id` - the id
    `editorInput` - the editor input
    `name` - the name

### closeView

    public void closeView(org.eclipse.ui.IViewPart part)

  Close view.

  Parameters:
    `part` - the part

### remove

    public void remove(IModel model)

  Removes the.

  Parameters:
    `model` - the model

### addHandler

    public void addHandler(java.lang.String id,
                           ModelRunHandler handler)

### getAdapter

    public java.lang.Object getAdapter(java.lang.Object adaptableObject,
                                       java.lang.Class adapterType)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdapterFactory`
  Parameters:
    `adaptableObject` -
    `adapterType` -
  Returns:
  See Also:
    `IAdapterFactory.getAdapter(java.lang.Object, java.lang.Class)`

### getAdapterList

    public java.lang.Class[] getAdapterList()

  Specified by:
    `getAdapterList` in interface `org.eclipse.core.runtime.IAdapterFactory`
  Returns:
  See Also:
    `IAdapterFactory.getAdapterList()`

### getSelectionSynchronizer

    public SelectionSynchronizer getSelectionSynchronizer()

  Gets the selection synchronizer.

  Returns:
    the selection synchronizer

### setSelectionSynchronizer

    public void setSelectionSynchronizer(SelectionSynchronizer editSelection)

  Sets the selection synchronizer.

  Parameters:
    `editSelection` - the new selection synchronizer

### getManagerListeners

    public ModelManagerListeners getManagerListeners()

### getActiveModelListeners

    public LifeCycleListeners getActiveModelListeners()

### getHandlers

    public HandlerManager getHandlers()

### getManagerViewPart

    public ModelManagerViewPart getManagerViewPart()

  Returns:
    the managerViewPart

### setManagerViewPart

    public void setManagerViewPart(ModelManagerViewPart managerViewPart)

  Parameters:
    `managerViewPart` - the managerViewPart to set